UiPath Documentation
automation-suite
2.2510
true
Automation Suite API guide

Generate a new external client

Generate a new external OAuth client in an Automation Suite organization using the Identity API, including required scope and response schema.

Generate a new external client.

API endpoint

POST https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/GenerateSecret

Scopes

Requires either one of the following scopes:

  • PM.OAuthApp
  • PM.OAuthApp.Write
  • PM.OAuthAppSecret.Write

Request headers

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Request body

The request body contains the client ID for which you want to generate a secret, a corresponding description, and the organization ID.

{
  "clientId": "string",
  "description": "string",
  "partitionGlobalId": "orgId",
  "expiryTime": "2025-07-18T13:24:15.806Z"
}
{
  "clientId": "string",
  "description": "string",
  "partitionGlobalId": "orgId",
  "expiryTime": "2025-07-18T13:24:15.806Z"
}

Responses

200 Success

A new client secret has been successfully generated for the given external client.

{
  "id": 0,
  "description": "string",
  "secret": "string",
  "creationTime": "2025-07-18T13:56:16.889Z",
  "expiryTime": "2025-07-18T13:56:16.889Z"
}
{
  "id": 0,
  "description": "string",
  "secret": "string",
  "creationTime": "2025-07-18T13:56:16.889Z",
  "expiryTime": "2025-07-18T13:56:16.889Z"
}
  • API endpoint
  • Scopes
  • Request headers
  • Request body
  • Responses
  • 200 Success

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated